“Unable to compile mixed C/Fortran code. ” when install AMBERTOOLS14 in Mac .

Sometimes the installment is easy, sometimes you have no idea where the error comes from.

I tried to install it several times, but failed. I have installed AMBERTOOLS12, but I just wanted the latest version. When I ./configure -macAccelerate -noX11 gnu, I got the error “Unable to compile mixed C/Fortran code. “. I googled a lot but the solution was not clear.

In Mac, to properly install software PORT is a good solution. I have installed that. According to the instruction here (http://jswails.wikidot.com/mac-os-x), gcc and mp-gcc were needed. When I checked my gcc, I got the following result. This meant I had no activated mp-gcc. And then I remove the previous activated gcc record by sudo mv /opt/local/etc/select/gcc/current /opt/local/etc/select/gcc/current_saved, and then port select –set gcc mp-gcc48. (Cited from http://stackoverflow.com/questions/19909844/selecting-mp-gcc47-for-gcc-failed) Then the command to ./configure worked well.

##################################

uaf39965:~ UofA$ port select –list gcc

Available versions for gcc:

mp-gcc44

mp-gcc46

mp-gcc47

mp-gcc48

none (active)

###################################

Advertisements

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s